:root{
    --text-primary: #FFFFFF;
    --text-secondary: #FFFFFF99;
    --bg-secondary: #222934;
    --bg-primary: #181D25;
    --color-primary: #F2223B;
}

body{
    background: gray;
    color: var(--text-primary);

    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;

    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
}

.base-wrapper{
    width: 100%;
    max-width: 500px;
    margin: auto;
    height: 100vh;
    position: relative;
    background: #000000;
}

.content{
    width: 100%;
    height: 100%;
    overflow-y: auto;
    position: relative;
    background: #181D25;
}
.content.miniAppContent{
    padding-top: calc(var(--tg-content-safe-area-inset-top) + var(--tg-safe-area-inset-top));
}

.content-inner{
    padding: 20px 16px;
}

.miniApp{
    display: none;
    height: calc(var(--tg-content-safe-area-inset-top) + var(--tg-safe-area-inset-top));
    position: fixed;
    width: 100%;
    max-width: 500px;
    justify-content: center;
    align-items: flex-end;
    z-index: 1;
    padding-bottom: 10px;
    background: rgba(0, 0, 0, 0.4);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

.container-fluid .row > [class^="col-"] {
    padding-left: 16px;
    padding-right: 16px;
}

.loader {
    width: 50px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #ffffff;
    -webkit-mask: radial-gradient(circle closest-side at 50% 40%,#0000 94%, #000);
    transform-origin: 50% 40%;
    animation: l25 1s infinite linear;
}
@keyframes l25 {
    100% {transform: rotate(1turn)}
}


#navbar{
    background: var(--bg-secondary);
    height: 48px;
    padding: 0 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#navbar > div{
    display: flex;
    height: 48px;
    align-items: center;
}

#navbar .photo{
    height: 32px;
    width: 32px;
    border-radius: 50%;
}

#navbar .name{
    margin-left: 8px;
    font-size: 16px;
    color: var(--text-primary);
}

.letters{
    height: 32px;
    width: 32px;
    border-radius: 50%;
    background: var(--bg-primary);
    color: white;
    font-size: 14px;
    font-weight: 400;
    text-transform: uppercase;

    display: flex;
    align-items: center;
    justify-content: center;
}

#balance{
    background: #F2223B3D;
    border-radius: 10px;
    padding: 2px 10px 2px 2px;
    color: var(--text-primary);
    font-size: 16px;
    font-weight: 400;
    height: 30px;
    display: flex;
    align-items: center;
}

#balance > div{
    height: 26px;
    background: #F2223B;
    border-radius: 8px;
    padding: 0 8px;
    margin-right: 10px;
}

#raffle-box{
    background: var(--bg-secondary);
    border-radius: 8px;
}
#raffle-box > #banner{
    width: 100%;
    height: auto;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

#ribbon{
    padding: 16px 16px 0 16px;
    position: relative;
}
#ribbon > svg:nth-child(1){
    position: absolute;
    left: 16px;
    top: 16px;
}
#ribbon > svg:nth-child(2){
    position: absolute;
    left: 49px;
}

#ribbon > svg:nth-child(3){
    position: absolute;
    right: 16px;
    transform: scaleX(-1);
}
#ribbon > svg:nth-child(4){
    position: absolute;
    right: 49px;
    transform: scaleX(-1);
}

#ribbon > div{
    position: absolute;
    height: 39px;
    width: calc(100% - 99px);
    background: var(--color-primary);
    font-size: 22px;
    font-weight: 600;

    display: flex;
    align-items: center;
    justify-content: center;

    left: 49px;
    top: 26px;
}

#raffle-timer{
    margin: 68px 16px 0 16px;
    position: relative;
    height: 80px;
    border: 2px solid var(--color-primary);
    border-radius: 8px;

    display: flex;
    align-items: center;
    justify-content: space-evenly;
}
#raffle-timer-blur{
    width: 100%;
    position: absolute;
    height: 80px;
    border: 2px solid var(--color-primary);
    border-radius: 8px;
    opacity: 0.8;
    filter: blur(6px);
}

#raffle-timer > .counter{
    display: flex;
    flex-direction: column;
    align-items: center;
}

#raffle-timer > .counter > .value{
    font-size: 22px;
    font-weight: 600;
    color: var(--text-primary);
    line-height: 28px;
}

#raffle-timer > .counter > .text{
    margin-top: 6px;
    font-size: 12px;
    font-weight: 400;
    color: var(--text-secondary);
    line-height: 16px;
}